Archive Payment Method
curl --request DELETE \
--url https://api.decodahealth.com/user/patient/payment-methods/{payment_method_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/user/patient/payment-methods/{payment_method_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/user/patient/payment-methods/{payment_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Patients
Archive Payment Method
Archive a payment method by setting is_archived to true.
DELETE
/
user
/
patient
/
payment-methods
/
{payment_method_id}
Archive Payment Method
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Query Parameters
ID of the patient who owns the payment method
Response
Successful Response
The response is of type boolean.
⌘I
